/**
 * Copyright &copy; 2012-2014 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.cku.model;

import java.util.Date;

/**
 * 赛事主表Entity
 * @author lgl
 * @version 2016-07-13
 */
/**
 * @author user
 *
 */
/**
 * @author user
 *
 */
public class ShowMain {

	private String showLocation; // 赛事地点
	private String mainShowName; // 主赛事名称
	private Date closingTime; // 报名关闭时间
	private String organizer; // 主办单位
	private String undertaker; // 承办单位
	private String referee; // 裁判
	private String register; // 报名
	private String orgnizeType; // 举办方式（自办合办）
	private String dogNumMax; // 犬只数上限
	private String branchShowDetail; // 场次明细
	private String showCancel; // 赛事取消
	private String venuesId; // 场馆id(app)
	private String attention; // 特别注意事项
	private Date startTime; // 赛事开始时间（子赛事中最早的开始时间）
	private Date endTime; // 赛事结束时间（子赛事中最晚的结束时间）
	private String isTop; // 是否顶置，1为顶置

	private String scheduleImage; // 比赛赛程表
	private String hospitalId; // 酒店id
	private String showVenueId; // 场馆id(官网)
	private String thumbnailImage; // 缩略图
	private String handerImage; // 长图
	private String officeId; // 办公室
	
	private String showRules;//赛制类型  0 全犬种 1单独展

	public String getShowLocation() {
		return showLocation;
	}

	public void setShowLocation(String showLocation) {
		this.showLocation = showLocation;
	}

	public String getMainShowName() {
		return mainShowName;
	}

	public void setMainShowName(String mainShowName) {
		this.mainShowName = mainShowName;
	}

	public Date getClosingTime() {
		return closingTime;
	}

	public void setClosingTime(Date closingTime) {
		this.closingTime = closingTime;
	}

	public String getOrganizer() {
		return organizer;
	}

	public void setOrganizer(String organizer) {
		this.organizer = organizer;
	}

	public String getUndertaker() {
		return undertaker;
	}

	public void setUndertaker(String undertaker) {
		this.undertaker = undertaker;
	}

	public String getReferee() {
		return referee;
	}

	public void setReferee(String referee) {
		this.referee = referee;
	}

	public String getRegister() {
		return register;
	}

	public void setRegister(String register) {
		this.register = register;
	}

	public String getOrgnizeType() {
		return orgnizeType;
	}

	public void setOrgnizeType(String orgnizeType) {
		this.orgnizeType = orgnizeType;
	}

	public String getDogNumMax() {
		return dogNumMax;
	}

	public void setDogNumMax(String dogNumMax) {
		this.dogNumMax = dogNumMax;
	}

	public String getBranchShowDetail() {
		return branchShowDetail;
	}

	public void setBranchShowDetail(String branchShowDetail) {
		this.branchShowDetail = branchShowDetail;
	}

	public String getShowCancel() {
		return showCancel;
	}

	public void setShowCancel(String showCancel) {
		this.showCancel = showCancel;
	}

	public String getVenuesId() {
		return venuesId;
	}

	public void setVenuesId(String venuesId) {
		this.venuesId = venuesId;
	}

	public String getAttention() {
		return attention;
	}

	public void setAttention(String attention) {
		this.attention = attention;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getIsTop() {
		return isTop;
	}

	public void setIsTop(String isTop) {
		this.isTop = isTop;
	}

	public String getScheduleImage() {
		return scheduleImage;
	}

	public void setScheduleImage(String scheduleImage) {
		this.scheduleImage = scheduleImage;
	}

	public String getHospitalId() {
		return hospitalId;
	}

	public void setHospitalId(String hospitalId) {
		this.hospitalId = hospitalId;
	}

	public String getThumbnailImage() {
		return thumbnailImage;
	}

	public void setThumbnailImage(String thumbnailImage) {
		this.thumbnailImage = thumbnailImage;
	}

	public String getHanderImage() {
		return handerImage;
	}

	public void setHanderImage(String handerImage) {
		this.handerImage = handerImage;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getShowVenueId() {
		return showVenueId;
	}

	public void setShowVenueId(String showVenueId) {
		this.showVenueId = showVenueId;
	}

	private String handlerPhotoFlag;// 赛事报名牵犬师图片校验标记位：0不校验；1校验'

	public String getHandlerPhotoFlag() {
		return handlerPhotoFlag;
	}

	public void setHandlerPhotoFlag(String handlerPhotoFlag) {
		this.handlerPhotoFlag = handlerPhotoFlag;
	}

	public String getShowRules() {
		return showRules;
	}

	public void setShowRules(String showRules) {
		this.showRules = showRules;
	}
}